variable "vpc_id" {
  type = string
}

variable "subnet_ids" {
  default = []
  type    = list(string)
}

variable "security_group_ids" {
  default = []
  type    = list(string)
}

variable "tags" {
  type        = map(string)
  description = "Tags for MSK Cluster"
}

variable "cluster_name" {
  type = string
}

variable "kafka_version" {
  type = string
}

variable "ebs_volume_size" {
  type = string
}

variable "instance_type" {
  default = "kafka.t3.small"
  type = string
}

variable "number_of_broker_nodes_per_subnet" {
  default = 1
  type = number
}

variable "encryption_kms_key_arn" {
  default = ""
  type = string
}

variable "configuration_parameters" {
  type    = list(string)
  default = []
}